ChiliProject - Feature # 104: Add email header for the type of message

Status: Closed Priority: Normal
Author: Eric Davis Category: Mail Sending
Created: 2011-01-22 Assignee: Felix Schéfer
Updated: 2011-02-11 Due date:

Remote issue URL:
Affected version:
Description: If there was a mail header for the type of message, it would make it easier to filter emails. Example:

* X-ChiliProject-Type: Issue
* X-ChiliProject-Type: Forum
* X-ChiliProject-Type: Wiki

* X-ChiliProject-Type: User

Associated revisions

2011-02-10 11:04 am - Felix SchAxfer
Add Type headers to outgoing emails. #104

History

2011-01-23 12:21 am - Felix Schéfer

The @Message-ld@ already has the object name in it in many cases, thus it's already possible, if not easy/convenient.

2011-01-24 08:57 pm - Eric Davis

True but it will be hard to parse out in standard mail clients. My Rackspace email allows exact matches only.

2011-01-24 09:01 pm - Holger Just

There are special headers for most (if not all) object types:
* X-Redmine-Issue-Id

* X-Redmine-Wiki-Page-Id

* X-Redmine-Topic-Id

You could filter for the existence of these headers.
2011-02-01 10:49 pm - Felix Schafer
- Status set to Open

2011-02-08 07:27 pm - Steven Risner
Is this feature going to be related to
http://www.redmine.org/issues/1616
2011-02-08 08:56 pm - Felix Schafer
Steven Risner wrote:

> Is this feature going to be related to
>

> http://www.redmine.org/issues/1616

Both issues are not related: this issue is about adding additional headers to outgoing mail, the issue you reference is about incoming mails.

2011-02-09 10:05 am - Thibaut Deloffre
hi,

I'm freshly new on chiliproject website (2 hours ago \o/) and | began to add header on some mailer methods.

| used redmine_headers method available in the mailer model like these examples:

* redmine_headers Type' => 'lssue’

* redmine_headers 'Type' => 'Forum'

* redmine_headers 'Type' => "Wiki'

* redmine_headers Type' => 'User’'

If you have any ideas or advices, tell me them ! :)

Thx !

2011-02-10 10:10 am - Felix Schéfer

- Status changed from Open to Ready for review

Ok, I've added them in https://github.com/thegcat/chiliproject/commit/f35a9112eb97827745f753b04220035f7f48adaf
I haven't found any headers tested, so nothing on the testing side. I'll pull it in if | get an OK either from Eric or Holger.
2011-02-10 11:45 pm - Eric Davis

- Assignee changed from Eric Davis to Holger Just

Felix: looks good to me. Go ahead and pull it into the official master with @git merge --no-ff@.

2011-02-10 11:55 pm - Eric Davis
- Assignee changed from Holger Just to Felix Schéfer

Sorry Holger, | meant this for Felix.

2011-02-11 07:20 am - Felix Schéfer

- Status changed from Ready for review to Closed

Done in commit:565e738dc9040918527a6a20d9435c6beccb08e5.
